package Xdgmime;

use 5.010001;
use strict;
use warnings;
use Carp;

require Exporter;
use AutoLoader;

our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use Xdgmime ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	XDG_MIME_TYPE_EMPTY
	XDG_MIME_TYPE_TEXTPLAIN
	XDG_MIME_TYPE_UNKNOWN
	_xdg_mime_mime_type_equal
	_xdg_mime_mime_type_subclass
	_xdg_mime_unalias_mime_type
	xdg_mime_dump
	xdg_mime_get_generic_icon
	xdg_mime_get_icon
	xdg_mime_get_max_buffer_extents
	xdg_mime_get_mime_parents
	xdg_mime_get_mime_type_for_data
	xdg_mime_get_mime_type_for_file
	xdg_mime_get_mime_type_from_file_name
	xdg_mime_get_mime_types_from_file_name
	xdg_mime_is_valid_mime_type
	xdg_mime_list_mime_parents
	xdg_mime_media_type_equal
	xdg_mime_mime_type_equal
	xdg_mime_mime_type_subclass
	xdg_mime_register_reload_callback
	xdg_mime_remove_callback
	xdg_mime_shutdown
	xdg_mime_type_empty
	xdg_mime_type_textplain
	xdg_mime_type_unknown
	xdg_mime_unalias_mime_type
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	XDG_MIME_TYPE_EMPTY
	XDG_MIME_TYPE_TEXTPLAIN
	XDG_MIME_TYPE_UNKNOWN
	_xdg_mime_mime_type_equal
	_xdg_mime_mime_type_subclass
	_xdg_mime_unalias_mime_type
	xdg_mime_dump
	xdg_mime_get_generic_icon
	xdg_mime_get_icon
	xdg_mime_get_max_buffer_extents
	xdg_mime_get_mime_parents
	xdg_mime_get_mime_type_for_data
	xdg_mime_get_mime_type_for_file
	xdg_mime_get_mime_type_from_file_name
	xdg_mime_get_mime_types_from_file_name
	xdg_mime_is_valid_mime_type
	xdg_mime_list_mime_parents
	xdg_mime_media_type_equal
	xdg_mime_mime_type_equal
	xdg_mime_mime_type_subclass
	xdg_mime_register_reload_callback
	xdg_mime_remove_callback
	xdg_mime_shutdown
	xdg_mime_type_empty
	xdg_mime_type_textplain
	xdg_mime_type_unknown
	xdg_mime_unalias_mime_type
);

our $VERSION = '0.01';

sub AUTOLOAD {
    # This AUTOLOAD is used to 'autoload' constants from the constant()
    # XS function.

    my $constname;
    our $AUTOLOAD;
    ($constname = $AUTOLOAD) =~ s/.*:://;
    croak "&Xdgmime::constant not defined" if $constname eq 'constant';
    my ($error, $val) = constant($constname);
    if ($error) { croak $error; }
    {
	no strict 'refs';
	# Fixed between 5.005_53 and 5.005_61
#XXX	if ($] >= 5.00561) {
#XXX	    *$AUTOLOAD = sub () { $val };
#XXX	}
#XXX	else {
	    *$AUTOLOAD = sub { $val };
#XXX	}
    }
    goto &$AUTOLOAD;
}

require XSLoader;
XSLoader::load('Xdgmime', $VERSION);

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is stub documentation for your module. You'd better edit it!

=head1 NAME

Xdgmime - Perl extension for blah blah blah

=head1 SYNOPSIS

  use Xdgmime;
  blah blah blah

=head1 DESCRIPTION

Stub documentation for Xdgmime, created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head2 EXPORT

None by default.

=head2 Exportable constants

  XDG_MIME_TYPE_EMPTY
  XDG_MIME_TYPE_TEXTPLAIN
  XDG_MIME_TYPE_UNKNOWN
  _xdg_mime_mime_type_equal
  _xdg_mime_mime_type_subclass
  _xdg_mime_unalias_mime_type
  xdg_mime_dump
  xdg_mime_get_generic_icon
  xdg_mime_get_icon
  xdg_mime_get_max_buffer_extents
  xdg_mime_get_mime_parents
  xdg_mime_get_mime_type_for_data
  xdg_mime_get_mime_type_for_file
  xdg_mime_get_mime_type_from_file_name
  xdg_mime_get_mime_types_from_file_name
  xdg_mime_is_valid_mime_type
  xdg_mime_list_mime_parents
  xdg_mime_media_type_equal
  xdg_mime_mime_type_equal
  xdg_mime_mime_type_subclass
  xdg_mime_register_reload_callback
  xdg_mime_remove_callback
  xdg_mime_shutdown
  xdg_mime_type_empty
  xdg_mime_type_textplain
  xdg_mime_type_unknown
  xdg_mime_unalias_mime_type



=head1 SEE ALSO

Mention other useful documentation such as the documentation of
related modules or operating system documentation (such as man pages
in UNIX), or any relevant external documentation such as RFCs or
standards.

If you have a mailing list set up for your module, mention it here.

If you have a web site set up for your module, mention it here.

=head1 AUTHOR

root, E<lt>root@E<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2012 by root

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.10.1 or,
at your option, any later version of Perl 5 you may have available.


=cut
